> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# Reorder folders

POST http://127.0.0.1:58931/api/folders/reorder
Content-Type: application/json

Move folders relative to one another. Each item: `uuid` (moved), `reference_uuid` (anchor), `insert_type` ∈ `before` `after`.

**Body parameters**

| Field | Type | Required | Description |
|---|---|---|---|
| `items` | `array` | Yes | Reorder operations (see above). |

Reference: https://docs.flashid.app/api-reference/folders/reorder-folders

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/folders/reorder:
    post:
      operationId: reorder-folders
      summary: Reorder folders
      description: >-
        Move folders relative to one another. Each item: `uuid` (moved),
        `reference_uuid` (anchor), `insert_type` ∈ `before` `after`.


        **Body parameters**


        | Field | Type | Required | Description |

        |---|---|---|---|

        | `items` | `array` | Yes | Reorder operations (see above). |
      tags:
        - subpackage_folders
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Folders_Reorder folders_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ApiFoldersReorderPostRequestBodyContentApplicationJsonSchemaItemsItems
              required:
                - items
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiFoldersReorderPostRequestBodyContentApplicationJsonSchemaItemsItems:
      type: object
      properties:
        uuid:
          type: string
        insert_type:
          type: string
        reference_uuid:
          type: string
      required:
        - uuid
        - insert_type
        - reference_uuid
      title: ApiFoldersReorderPostRequestBodyContentApplicationJsonSchemaItemsItems
    ApiFoldersReorderPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties: {}
      title: ApiFoldersReorderPostResponsesContentApplicationJsonSchemaData
    Folders_Reorder folders_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiFoldersReorderPostResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Folders_Reorder folders_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Request**

```json
{
  "items": [
    {
      "uuid": "folder-9a8b7c6d5e4f3a2b1c0d",
      "insert_type": "after",
      "reference_uuid": "folder-1a2b3c4d5e6f7g8h9i0j"
    },
    {
      "uuid": "folder-2b3c4d5e6f7g8h9i0j1k",
      "insert_type": "before",
      "reference_uuid": "folder-3c4d5e6f7g8h9i0j1k2l"
    }
  ]
}
```

**Response**

```json
{
  "code": 0,
  "data": {},
  "success": true
}
```

**SDK Code**

```python Folders_Reorder folders_example
import requests

url = "http://127.0.0.1:58931/api/folders/reorder"

payload = { "items": [
        {
            "uuid": "folder-9a8b7c6d5e4f3a2b1c0d",
            "insert_type": "after",
            "reference_uuid": "folder-1a2b3c4d5e6f7g8h9i0j"
        },
        {
            "uuid": "folder-2b3c4d5e6f7g8h9i0j1k",
            "insert_type": "before",
            "reference_uuid": "folder-3c4d5e6f7g8h9i0j1k2l"
        }
    ] }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Folders_Reorder folders_example
const url = 'http://127.0.0.1:58931/api/folders/reorder';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"items":[{"uuid":"folder-9a8b7c6d5e4f3a2b1c0d","insert_type":"after","reference_uuid":"folder-1a2b3c4d5e6f7g8h9i0j"},{"uuid":"folder-2b3c4d5e6f7g8h9i0j1k","insert_type":"before","reference_uuid":"folder-3c4d5e6f7g8h9i0j1k2l"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Folders_Reorder folders_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/folders/reorder"

	payload := strings.NewReader("{\n  \"items\": [\n    {\n      \"uuid\": \"folder-9a8b7c6d5e4f3a2b1c0d\",\n      \"insert_type\": \"after\",\n      \"reference_uuid\": \"folder-1a2b3c4d5e6f7g8h9i0j\"\n    },\n    {\n      \"uuid\": \"folder-2b3c4d5e6f7g8h9i0j1k\",\n      \"insert_type\": \"before\",\n      \"reference_uuid\": \"folder-3c4d5e6f7g8h9i0j1k2l\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Folders_Reorder folders_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/folders/reorder")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"items\": [\n    {\n      \"uuid\": \"folder-9a8b7c6d5e4f3a2b1c0d\",\n      \"insert_type\": \"after\",\n      \"reference_uuid\": \"folder-1a2b3c4d5e6f7g8h9i0j\"\n    },\n    {\n      \"uuid\": \"folder-2b3c4d5e6f7g8h9i0j1k\",\n      \"insert_type\": \"before\",\n      \"reference_uuid\": \"folder-3c4d5e6f7g8h9i0j1k2l\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Folders_Reorder folders_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("http://127.0.0.1:58931/api/folders/reorder")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"items\": [\n    {\n      \"uuid\": \"folder-9a8b7c6d5e4f3a2b1c0d\",\n      \"insert_type\": \"after\",\n      \"reference_uuid\": \"folder-1a2b3c4d5e6f7g8h9i0j\"\n    },\n    {\n      \"uuid\": \"folder-2b3c4d5e6f7g8h9i0j1k\",\n      \"insert_type\": \"before\",\n      \"reference_uuid\": \"folder-3c4d5e6f7g8h9i0j1k2l\"\n    }\n  ]\n}")
  .asString();
```

```php Folders_Reorder folders_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'http://127.0.0.1:58931/api/folders/reorder', [
  'body' => '{
  "items": [
    {
      "uuid": "folder-9a8b7c6d5e4f3a2b1c0d",
      "insert_type": "after",
      "reference_uuid": "folder-1a2b3c4d5e6f7g8h9i0j"
    },
    {
      "uuid": "folder-2b3c4d5e6f7g8h9i0j1k",
      "insert_type": "before",
      "reference_uuid": "folder-3c4d5e6f7g8h9i0j1k2l"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Folders_Reorder folders_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/folders/reorder");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"items\": [\n    {\n      \"uuid\": \"folder-9a8b7c6d5e4f3a2b1c0d\",\n      \"insert_type\": \"after\",\n      \"reference_uuid\": \"folder-1a2b3c4d5e6f7g8h9i0j\"\n    },\n    {\n      \"uuid\": \"folder-2b3c4d5e6f7g8h9i0j1k\",\n      \"insert_type\": \"before\",\n      \"reference_uuid\": \"folder-3c4d5e6f7g8h9i0j1k2l\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Folders_Reorder folders_example
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["items": [
    [
      "uuid": "folder-9a8b7c6d5e4f3a2b1c0d",
      "insert_type": "after",
      "reference_uuid": "folder-1a2b3c4d5e6f7g8h9i0j"
    ],
    [
      "uuid": "folder-2b3c4d5e6f7g8h9i0j1k",
      "insert_type": "before",
      "reference_uuid": "folder-3c4d5e6f7g8h9i0j1k2l"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/folders/reorder")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```